import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import ClickhouseLogoLight from './ClickhouseLogoLight';
import ClickhouseLogoDark from './ClickhouseLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const ClickhouseLogoSvg = forwardRef(function ClickhouseLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(ClickhouseLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(ClickhouseLogoLight, Object.assign({}, props, { ref: ref })));
});
export default ClickhouseLogoSvg;
